Can't run app : faundefined is not an object

#1

I had upgraded my react native from 0.44 to 0.46 yesterday, and the app runs well . But tokey , i reopen my app , it got the error without any changes of the source code .

just like this issue :https://github.com/expo/expo/issues/310

I wanna know what happens(´・_・) ? How to solve this error(´・_・) ?

#2
{
  "name": "my-project",
  "version": "0.1.0",
  "private": true,
  "devDependencies": {
    "babel-eslint": "^7.2.1",
    "babel-jest": "19.0.0",
    "babel-plugin-flow-react-proptypes": "^0.21.0",
    "babel-plugin-transform-class-properties": "^6.24.1",
    "babel-plugin-transform-decorators-legacy": "^1.3.4",
    "babel-preset-react-native": "^1.9.1",
    "babel-preset-react-native-stage-0": "^1.0.1",
    "eslint": "^3.18.0",
    "eslint-config-airbnb": "^14.1.0",
    "eslint-plugin-babel": "^4.1.1",
    "eslint-plugin-import": "^2.2.0",
    "eslint-plugin-jsx-a11y": "^4.0.0",
    "eslint-plugin-react": "^6.10.3",
    "flow-bin": "^0.38.0",
    "jest": "19.0.2",
    "jest-expo": "19.0.0",
    "react-native-scripts": "0.0.29",
    "react-test-renderer": "^15.5.4"
  },
  "main": "./node_modules/react-native-scripts/build/bin/crna-entry.js",
  "scripts": {
    "start": "react-native-scripts start",
    "eject": "react-native-scripts eject",
    "android": "react-native-scripts android",
    "ios": "react-native-scripts ios",
    "test": "node node_modules/jest/bin/jest.js --watch"
  },
  "jest": {
    "preset": "jest-expo"
  },
  "dependencies": {
    "axios": "^0.16.1",
    "expo": "^19.0.1",
    "lodash.debounce": "^4.0.8",
    "lodash.isempty": "^4.4.0",
    "mobx": "^3.1.9",
    "mobx-react": "^4.2.2",
    "native-base": "^2.3.1",
    "qs": "^6.4.0",
    "react": "16.0.0-alpha.12",
    "react-native": "0.46.1",
    "react-native-modalbox": "^1.3.9",
    "react-native-progress": "^3.3.0",
    "react-native-radio-buttons": "^0.14.0",
    "react-native-storage": "^0.2.2",
    "react-native-svg": "^5.4.1",
    "react-navigation": "^1.0.0-beta.9",
    "styled-components": "^1.4.6"
  }
}

#3

Can you share a code snippet, perhaps on https://snack.expo.io?

#4

Did you try upgrading to the latest versions of things, like the person who successfully solved the problem in the Github issue did?